<?php


namespace app\cbcrm\model\manage;


use think\facade\Db;
use think\Model;

class DepartmentModel extends Model
{
    protected $table = 'cb_crm_department';

    public function getList($wid)
    {
        $list = $this->where('wid',$wid)->order('id','asc')->order('sort','desc')->select();

        foreach ($list as $item) {
            if ($item->staff_ids) {
                $item->staff = Db::table('cb_crm_staff')->where('id','IN',$item->staff_ids)->field('id,username,nickname')->select();
            }else{
                $item->staff = [];
            }
        }

        return $list;
    }

    public function saveData($params)
    {
        $result = $this->save($params);

        return $result;
    }
}
